"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withApplyappDistributionPlugin = void 0;
exports.applyPlugin = applyPlugin;
const config_plugins_1 = require("@expo/config-plugins");
const constants_1 = require("./constants");
/**
 * Update `app/build.gradle` by applying app-distribution monitoring plugin
 */
const withApplyappDistributionPlugin = config => {
    return (0, config_plugins_1.withAppBuildGradle)(config, config => {
        if (config.modResults.language === 'groovy') {
            config.modResults.contents = applyPlugin(config.modResults.contents);
        }
        else {
            config_plugins_1.WarningAggregator.addWarningAndroid('react-native-firebase-app-distribution', `Cannot automatically configure app build.gradle if it's not groovy`);
        }
        return config;
    });
};
exports.withApplyappDistributionPlugin = withApplyappDistributionPlugin;
function applyPlugin(appBuildGradle) {
    const appDistributionPattern = new RegExp(`apply\\s+plugin:\\s+['"]${constants_1.appDistributionMonitoringPlugin}['"]`);
    if (!appBuildGradle.match(appDistributionPattern)) {
        appBuildGradle += `\napply plugin: '${constants_1.appDistributionMonitoringPlugin}'`;
    }
    return appBuildGradle;
}
